# Makefile for Salmon Texinfo Docs  -  Invoke using "gmake"
# Mahlon R. Smith
# Tools: makeinfo
# 
# 28-May-2026

# This variable is defined for technical reasons
# (see 'make' documentation for more information)
.RECIPEPREFIX = >

# Dependencies for build:
TEXI_FILES = Salmon.texi texi_macros.texi same_author.texi \
             gpl-3.0.texi fdl-1.3.texi \

salmon.info: $(TEXI_FILES)
> makeinfo --fill-column=78 --no-split Salmon.texi
> makeinfo --fill-column=78 --html --no-split Salmon.texi
> idpp -cV salmon.html

# For stand-alone gString InfoDoc (.info and .html output)
.PHONY: clean
clean:
> rm -f salmon.info salmon.html*



